Name:          clpbar
Version:       1.10.9
Release:       3%{?dist}
Summary:       Show information about a data transfer

Group:         Applications/System
License:       LGPLv2+
URL:           http://clpbar.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/bar_%{version}.tar.gz
Source1:       clpbar.1.in
Patch0:        bar-1.10.9-clpbar.patch
Patch1:        bar-1.10.9-Makefile.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

BuildRequires: automake
BuildRequires: autoconf

%description
Bar is a simple tool to process a stream of data and print a display for the
user on stderr showing (a) the amount of data passed, (b) the throughput of the
data transfer, and, if the total size of the data stream is known, (c)
estimated time remaining, percent complete, and a progress bar.  Bar was
originally written for the purpose of estimating the amount of time needed to
transfer large amounts (many, many gigabytes) of data across a network.
(Usually in an SSH/tar pipe.)

%prep
%setup -q -n bar-%{version}
%patch0 -p1
%patch1 -p1
cp %{SOURCE1} .
./autogen

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO TROUBLESHOOTING
%{_bindir}/clpbar
%{_mandir}/man1/clpbar.1.gz

%changelog
* Wed May 19 2010 David Cantrell <dcantrell@redhat.com> - 1.10.9-3
- Fix empty debuginfo package (#560176)

* Mon Feb 01 2010 David Cantrell <dcantrell@redhat.com> - 1.10.9-2
- Rename binary to 'clpbar' and man page to 'clpbar.1' (#560176)

* Fri Jan 29 2010 David Cantrell <dcantrell@redhat.com> - 1.10.9-1
- Initial package
